Bug 1697465 - gamemode is not working (activated) for games that still use plain libgamemode.so
Summary: gamemode is not working (activated) for games that still use plain libgamemod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gamemode
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 13:16 UTC by Christian Kellner
Modified: 2019-04-30 02:27 UTC (History)
1 user (show)

Fixed In Version: gamemode-1.2-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 02:27:23 UTC
Type: ---


Attachments (Terms of Use)

Description Christian Kellner 2019-04-08 13:16:34 UTC
This bug was initially created as a copy of Bug #1694938; the F29 package also does not have the libgamemode*.so in the main package, so will exhibit the same issue.

Description of problem:
For some games I see warning "Current CPU governor may impact performance" even when package gamemode is installed

Steps to Reproduce:
1. Just launch the game "Rise of the Tomb Raider" from steam launcher.

Expected results:
No "Current CPU governor may impact performance" warning when I launch the game.

Additional info:
The other Feral game "DiRT 4" not affected and with installed gamemode not show this warning.

Comment 1 Fedora Update System 2019-04-08 17:15:27 UTC
gamemode-1.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-565822eaf9

Comment 2 Fedora Update System 2019-04-09 03:13:58 UTC
gamemode-1.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-565822eaf9

Comment 3 Fedora Update System 2019-04-16 22:14:55 UTC
gamemode-1.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-565822eaf9

Comment 4 Fedora Update System 2019-04-18 22:12:40 UTC
gamemode-1.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-565822eaf9

Comment 5 Fedora Update System 2019-04-30 02:27:23 UTC
gamemode-1.2-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.